BuildArch: noarch
Packager: Denis Smirnov <mithraen@altlinux.ru>

%define svndate 20060921

Name: asterisk-trunk-sources
Summary: Asterisk open source PBX sources (last svn trunk)
Version: 1.0
Release: alt1.svn%svndate
License: GPL
Group: System/Servers
Url: http://www.asterisk.org/

Source: asterisk-%version.tar.bz2

%description
This sources used for building asterisk and seirospbx packages

%prep
%setup -n asterisk-%version
find -type f -name '.depend' -print0 \
	| xargs -0r rm -rf
echo 0 > .svnrevision
cp .svnrevision ..svnrevision

%build
%install
mkdir -p %buildroot%_usrsrc
tar cfz %buildroot%_usrsrc/asterisk-trunk-sources.tar.gz .

%files
%_usrsrc/asterisk-trunk-sources.tar.gz

%changelog
* Thu Sep 21 2006 Denis Smirnov <mithraen@altlinux.ru> 1.0-alt1.svn20060921
- Add a "member name" to queue members.
- Add option to the various methods of adding a queue member, to add the
  "member name".
- move ODBC API into ast_ namespace
- move more API into the ast_ namespace
- move ADSI functionality into ast_ namespace
- Commit the changes from issue #5240.
- jitterbuf.h -- move this header to include where it belongs
- Get rid of zero size old config file
- Various updates from PCadach's chan_h323-live branch
- similar patch for verbose vs debug with minor changes bug 2617
- Improve output of sip show peers (issue #6624 reported by mavetju with minor
  code changes by myself)
- always use fork() when available
- Issue #7351 - sending CANCEL when the call at some point has been in UP state
  is wrong.
- merge qwell's CLI verbification work
- escape some quotes
- Reference will be kept in the application component only right now. In the
  future this should be expanded to the channel driver (just like all the other
  channel drivers) (issue #7975 reported by andrewt)
- allow for packetization on rtp channel drivers, need to add option for
  setting our own packetization as apposed to just doing what is asked.
- Improve documentation of users.conf items.
- remove a bit of redundant code
- Skinny hold support.
- seperate jingle and gtalk so it will be easier to track changes in both of
  the moving specs.  Currently chan_gtalk is compatible with the latest
  gtalk/libjingle version, and chan_jingle needs a lot of work.
- minor performance improvement for platforms where -fPIC and -fpic are
  actually different (has no effect on x86/x86-64) Clarified the meaning of the
  callwaiting variable in the zapata.conf file.
- Use a better check to ensure database connection is up (pointer to connection
  must exist, and connection must report status being ok) (issue #7955 reported
  by sorg)
- Remove the suggestion of realtime hints, since that functionality will not be
  available until post-1.4

* Sun Sep 17 2006 Denis Smirnov <mithraen@altlinux.ru> 1.0-alt1.svn20060917
- Add markster userconf branch

* Sat Sep 16 2006 Denis Smirnov <mithraen@altlinux.ru> 1.0-alt1.svn20060916
- svn update

* Thu Sep 14 2006 Denis Smirnov <mithraen@altlinux.ru> 1.0-alt1.svn20060914
- svn update

* Wed Sep 13 2006 Denis Smirnov <mithraen@altlinux.ru> 1.0-alt1.svn20060913
- svn update

* Tue Sep 12 2006 Denis Smirnov <mithraen@altlinux.ru> 1.0-alt1.svn20060912
- svn update

* Mon Sep 11 2006 Denis Smirnov <mithraen@altlinux.ru> 1.0-alt1.svn20060911
- svn update

* Sun Sep 10 2006 Denis Smirnov <mithraen@altlinux.ru> 1.0-alt1.svn20060910
- svn update

* Sat Sep 09 2006 Denis Smirnov <mithraen@altlinux.ru> 1.0-alt1.svn20060909
- svn update

* Fri Sep 08 2006 Denis Smirnov <mithraen@altlinux.ru> 1.0-alt1.svn20060908
- svn update

* Thu Sep 07 2006 Denis Smirnov <mithraen@altlinux.ru> 1.0-alt1.svn20060907
- Now this package contain sources from Digium without modifications

